POST Api/PushNotification
Request Information
URI Parameters
None.
Body Parameters
GetTokenListData| Name | Description | Type | Additional information |
|---|---|---|---|
| deviceToken | string |
None. |
|
| title | string |
None. |
|
| body | string |
None. |
|
| data | Object |
None. |
|
| content_available | boolean |
None. |
|
| mutable_content | boolean |
None. |
|
| priority | string |
None. |
|
| Id | integer |
None. |
Request Formats
application/json, text/json, text/html
Sample:
{
"deviceToken": "sample string 1",
"title": "sample string 2",
"body": "sample string 3",
"data": {},
"content_available": true,
"mutable_content": true,
"priority": "sample string 7",
"Id": 8
}
application/xml, text/xml
Sample:
<GetTokenListData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/PIMS_Models"> <Id>8</Id> <body>sample string 3</body> <content_available>true</content_available> <data /> <deviceToken>sample string 1</deviceToken> <mutable_content>true</mutable_content> <priority>sample string 7</priority> <title>sample string 2</title> </GetTokenListData>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |